package q02b.exe.comun;



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;

import java.util.ArrayList;

import java.util.HashMap;



public class Q02bAutenticador extends Q02bValueObject {

	

	private static final long serialVersionUID = 1L;

	

	private String 		user 				= "";

	private String 		idioma 				= "";

	private String 		provincia 				= "";

	private String 		municipio 				= "";

	private String 		esSuperUsuario 				= "";

	private String 		perfil 				= "";

	private ArrayList	roles				= new ArrayList();

	private HashMap		mapaRestricciones	= new HashMap();

	private ArrayList 	filtroEntidades 	= new ArrayList();//para búsquedas de favoritos

	

	public ArrayList getFiltroEntidades() {

		return filtroEntidades;

	}

	public void setFiltroEntidades(ArrayList filtroEntidades) {

		this.filtroEntidades = filtroEntidades;

	}

	public String getIdioma() {

		return idioma;

	}

	public void setIdioma(String idioma) {

		this.idioma = idioma;

	}

	public HashMap getMapaRestricciones() {

		return mapaRestricciones;

	}

	public void setMapaRestricciones(HashMap mapaRestricciones) {

		this.mapaRestricciones = mapaRestricciones;

	}

	public String getPerfil() {

		return perfil; 

	}

	public void setPerfil(String perfil) {

		this.perfil = perfil;

	}

	public ArrayList getRoles() {

		return roles;

	}

	public void setRoles(ArrayList roles) {

		this.roles = roles;

	}

	public String getUser() {

		return user;

	}

	public void setUser(String user) {

		this.user = user;

	}

	public String getEsSuperUsuario() {

		return esSuperUsuario;

	}

	public void setEsSuperUsuario(String esSuperUsuario) {

		this.esSuperUsuario = esSuperUsuario;

	}

	public String getMunicipio() {

		return municipio;

	}

	public void setMunicipio(String municipio) {

		this.municipio = municipio;

	}

	public String getProvincia() {

		return provincia;

	}

	public void setProvincia(String provincia) {

		this.provincia = provincia;

	}

}

